/*
 * ctd_sbe37.h
 *
 *  Created on: Nov 28, 2022
 *      Author: thomm
 */

#ifndef CTD_SBE37_H_
#define CTD_SBE37_H_

#include "system.h"

void ctd_sbe37_parseData(void);
void ctd_sbe37_poll(void);

int ctd_sbe37_stateMachine(int ctdState);
uint32_t ctd_sbe37_qa_test(void);              // for statemachine development and qa procedure
void ctd_sbe37_comm_test(void);                // for 'communicate with instrument' in test menu

void ctd_sbe37_serial_analyzer(void);



#endif /* CTD_SBE37_H_ */
